#!/usr/bin/env python
# -*- coding: iso-8859-1 -*-

"""

DESCRIPTION
===========

get ERA-Interim reference files

SYNOPSIS
========

::

 $ python get_erai.py


SEE ALSO
========

:ref:`ecmwf`

TIPS
====

To convet a GRIB file to a NetCDF file ::
 
  $ cdo -f nc copy data.grib data.nc

TODO
====

make it work for all needed variables 

produce netcdf files : now grib dispite name of the file target

comment

EVOLUTIONS
==========

$Id$

$URL$

- fplod 20111130T153500Z cratos (Linux)

  * got from http://data-portal.ecmwf.int/data/d/token/interim_full_daily/
  * add docstring

"""

from ecmwf import ECMWFDataServer

server = ECMWFDataServer(
       'http://data-portal.ecmwf.int/data/d/dataserver/',
              'd558d095ce964389eeda5e908e9462f3',
             'francoise.pinsard@locean-ipsl.upmc.fr'
         )

server.retrieve({
    'dataset' : "interim_full_daily",
    'date'    : "19790101/to/19790110",
    'time'    : "00:00:00/06:00:00/12:00:00/18:00:00",
    'grid'    : "1/1",
    'step'    : "0",
    'levtype' : "sfc",
    'type'    : "an",
    'param'   : "167.128",
    'area'    : "60/-120/30/-60",
    'target'  : "t2m.nc"
        })
