;+
;
; ===================
; x_site_location.pro
; ===================
;
; .. function:: x_site_location(site)
;
; DESCRITPION
; ===========
;
;    :param site: ++
;
; EXAMPLES
; ========
;
; ::
;
;   IDL> site=++
;   IDL> result=x_site_location(site)
;
; SEE ALSO
; ========
;
; :func:`y_site_location`
;
; :ref:`fig1_no_obs_map.pro`
; :ref:`net_flux_validation_scatter_2000_2007.pro`
; :ref:`fig16_timeseries_nino3.pro`
; :ref:`fig2_timeline_diagram.pro`
; :ref:`air_validation_scatter_2000_2009_v50.pro`
; :ref:`q2m_validation_scatter_2000_2009_v50.pro`
; :ref:`sst_validation_scatter_2000_2009_v50.pro`
; :ref:`ws_validation_scatter_2000_2009_v50.pro`
; :ref:`air_validation_scatter_2000_2009_basin.pro`
; :ref:`q2m_validation_scatter_2000_2009_basin.pro`
; :ref:`sst_validation_scatter_2000_2009_basin.pro`
; :ref:`ws_validation_scatter_2000_2009_basin.pro`
; :ref:`lhf_validation_scatter_2000_2009.pro`
; :ref:`shf_validation_scatter_2000_2009.pro`
; :ref:`lwr_validation_scatter_2000_2007.pro`
; :ref:`swr_validation_scatter_2000_2007.pro`
;
; TODO
; ====
;
; coding rules
;
; EVOLUTIONS
; ==========
;
; $Id$
;
; $URL$
;
; - fplod 20110412T083358Z aedon.locean-ipsl.upmc.fr (Darwin)
;
;   * creation from fig2_timeline_diagram.pro
;
;-
function x_site_location, site
;
n1=strpos(site, 's')
if (n1 gt -1) then begin
    ns=-1.
    x=strmid(site, 0, n1)
    x=float(x)*ns
endif else begin
    n1=strpos(site, 'n')
    x=strmid(site, 0, n1)
    ny=1.
    x=float(x)*ny
endelse
return, float(x)
end
